player_localize_hypoth Struct Reference

Hypothesis format. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose2d_t | mean
| The mean value of the pose estimate (m, m, rad). More...
double | cov [3]
| The covariance matrix pose estimate (m$^2$, rad$^2$). More...
double | alpha
| The weight coefficient for linear combination (alpha)

## Detailed Description

Hypothesis format.

Since the robot pose may be ambiguous (i.e., the robot may at any of a number of widely spaced locations), the `localize` interface is capable of returning more that one hypothesis.

## Member Data Documentation

double player_localize_hypoth::cov[3]

The covariance matrix pose estimate (m$^2$, rad$^2$).

player_pose2d_t player_localize_hypoth::mean

The mean value of the pose estimate (m, m, rad).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45